/*********************************************************************/

/* FCOPY BREXX                                                       */

/*                                                                   */

/* Uses BRexx I/O functions to copy a file.                          */

/*********************************************************************/

parse arg source target        /* get file names, retain lower-case  */



/* open input & output files, establish file Handles                 */



in_hnd  = open(source,'r')             /* open input file            */

out_hnd = open(target,'w')             /* open output file           */

if in_hnd = -1 | out_hnd = -1 then     /* check for errors on open   */

   say 'File OPEN Error!'



/* perform the file copy                                             */



line = read(in_hnd)

do while eof(in_hnd) = 0
   bytes_written = write(out_hnd,line,newline)
   line = read(in_hnd)

end

/* close the files and exit                                          */



rc_in  = close(in_hnd)                 /* close input file           */

rc_out = close(out_hnd)                /* close output file          */

if rc_in <> 0 | rc_out <> 0 then       /* check for errors on close  */

   say 'File CLOSE Error!'



exit 0
