/* REXX TRY2:                                                   */
/*                                                              */
/*    Reads user-input Rexx statements and interprets them.     */

say "Type: 'exit' to end this program"

start_loop:
   signal on syntax   name syntax_rtn /* establish error traps  */
   signal on error    name error_rtn 
   signal on failure  name failure_rtn
   signal on halt     name halt_rtn
   signal on notready name notready_rtn
   signal on novalue  name novalue_rtn
   signal on lostdigits name lostdigits_rtn

   do forever
      call charout ,"==> "            /* prompt/read on 1 line  */
      parse pull expression$           
      interpret expression$           /* INTERPRET user's input */
   end

end_start_loop:  exit 0

SYNTAX_RTN:
    say 'SYNTAX:' errortext(rc) '(error' rc')'
    signal start_loop

ERROR_RTN:
    say 'ERROR:  The comand entered returned an error, rc=' rc
    say 'The command was:' sourceline(sigl)
    signal start_loop

FAILURE_RTN:
    say 'FAILURE: Uninitialized variable or failure in system service'
    signal start_loop

HALT_RTN:
    say 'HALT: External interrupt identified and captured'
    signal start_loop

NOTREADY_RTN:
    say 'NOTREADY: I/O error occurred'
    signal start_loop

NOVALUE_RTN:
    say 'NOVALUE: Variable was not assigned a value:'  expression$
    signal start_loop

LOSTDIGITS_RTN:
    say 'LOSTDIGITS: arithmetic operation lost significant digits'
    signal start_loop
